;
;  xxxx-xxx (c) COPYRIGHT IBM CORP. 1996,97   ALL RIGHTS RESERVED.
;
;                     OCO SOURCE MATERIAL
;                LICENSED MATERIALS-PROPERTY OF IBM.
;
;
; CodeStore/ice/system.ice, m.system, montana.dev
; 3/29/98 1.21 sccsid
;
;
; This is an .ice file describing extensions and their options.
;
; * Each category describes either an extension, an option group or
;   an option, as indicated by the "type" entry.
; * The optional "description" entry is for use by the UI.
; * The optional "help" entry points to the help URL.
; * The other entries depend on the type.
;
; Limitations:
;
;   1. names of options or option groups may not contain whitespace
;   2. all names (of extensions, option groups and options) must be unique.
;

;
; Option description for Windows
;


;
; CodeStore/ice/system2.txt, m.system, montana.V400
; 6/2/98 1.10 sccsid
;



;
; CodeStore/ice/Ja_JP/system3.txt, m.system, montana.V400, 990219b
; 3/11/99 1.3 sccsid
;



; NOTE to translators: do NOT remove quotes "" from "typedeffed"





;
; CodeStore/ice/Ja_JP/system4.txt, m.system, montana.V400, 990219b
; 3/11/99 1.4 sccsid
;


;
; CodeStore/ice/system5.txt, m.system, montana.V400
; 6/5/98 1.2 sccsid
;



;
; CodeStore/ice/Ja_Jp/system6.txt, m.system, montana.V400, 990219b
; 3/11/99 1.1 sccsid
;


;
; CodeStore/ice/cppextension.ice, m.system, montana.V400
; 10/6/98 1.12.1.2 sccsid
;

; C++ extension

[CPlusPlus]
type=extension
description=C++ RpC[
dll=..;    dummy entry - something whose timestamp usually doesn't change
help=
suffixes=cpp CPP Cpp cxx CXX Cxx lib LIB Lib
options=CPlusPlusOptions

[CPlusPlusOptions]
type=option_group
description= C/C++  C++ pRpC[EIvV
help=
elements=cpp_gen cpp_lang cpp_link cpp_opt cpp_misc

[cpp_gen]
type=option_group
description=R[hIvV
help=
elements=common_gen cpp_only_gen

[cpp_lang]
type=option_group
description=IvV
help=
elements=common_lang cpp_only_lang

[cpp_link]
type=option_group
description=NEIvV
help=
elements=common_link cpp_only_link

[cpp_opt]
type=option_group
description=œKIvV
help=
elements=common_opt cpp_only_opt

[cpp_misc]
type=option_group
description=eIvV
help=
elements=common_misc cpp_only_misc

;
; C/C++ Code Generation Options Group
;


[common_gen]
type=option_group
description= C/C++ R[hIvV
help=
elements=gen(arch) gen(call) gen(constseg) gen(codeseg) gen(dataseg) \
         gen(debugunreferenced) gen(decorateexternalnames) gen(dump) \
         gen(enumsize) gen(initauto) gen(libansi) gen(pack) \
         gen(parmdword) gen(profile) gen(probe) gen(readonly) \
         gen(ring0) gen(tiledmemory) gen(uninitseg) gen(unreferenced)

[cpp_only_gen]
type=option_group
description=C++ pR[hIvV
help=
;
elements=gen(vftreadonly) gen(vft) gen(eh) gen(ehcodeseg) gen(ehdataseg) \
         gen(manglelinkagekeywordonlyfuncs) gen(rtti) gen(vftseg)

;
; C/C++ Language Options Group
;
[common_lang]
type=option_group
description= C/C++ IvV
help=
elements=lang(allowdollarinnames) lang(longlong) lang(memoryfiles) lang(signedbitfields) \
         lang(signedchars)

[cpp_only_lang]
type=option_group
description=C++ pIvV
help=
elements=lang(allowtypedefasclassname) lang(anonymousstructs) lang(ansiforstatementscopes) \
         lang(compatfrienddeclarations) lang(compatmath) \
         lang(compattempaccesschecking) lang(compattemplatespecialization) \
         lang(digraphs) lang(olddigraphs) \
         lang(extendedanonymousunions) lang(illformedpointertomember) \
         lang(implicitint) lang(keyword) lang(nokeyword) lang(localtypedefs) \
         lang(localusingdirectives) \
         lang(offsetofnonpodclasses) \
         lang(staticconstlinkage) lang(staticinlinelinkage) \
         lang(templatedefimpls) lang(trailingenumcommas) \
         lang(universalcharacternames) lang(zeroextentarrays)


[common_link]
type=option_group
description= C/C++ NEIvV
help=
elements=link(debug) link(export) link(exportlist) \
         link(export_namespace) link(export_prefix) \
         link(force) \
         link(generatedfilesdirectory) link(libsearchpath) \
         link(import) link(linkwithmultithreadlib) link(linkwithsharedlib) \
         link(map) link(padding) link(standalone) link(versionstring) \
         link(ansiextensionslibrary) link(code) link(data) link(defaultlibs) \
         link(defaultlibsname) link(nodefaultlibsname) link(entry) \
         link(extdictionary) link(fixed) link(ignorecase) \
         link(include) link(linenum) link(namemangling) link(optfunc) \
         link(section) link(version) link(alignaddr) link(alignfile) \
         link(base) link(dllinitinstance) link(dllterminstance) \
         link(exepack) link(pmtype) link(robase) \
         link(stack) link(stub)

[cpp_only_link]
type=option_group
description=C++ pNEIvV
help=
elements=link(exportall)


[common_opt]
type=option_group
description= C/C++ œKIvV
help=
elements=opt(alias) opt(autoinline) opt(ignerrno) opt(inline) opt(isolatedcall) \
         opt(level) opt(pragmadisjoint) opt(pragmaisolatedcall) \
         opt(size) opt(tune) opt(float) opt(integer) opt(schedule) \
         opt(stackchaining) opt(stackpointer)

[cpp_only_opt]
type=option_group
description=C++ pœKIvV
help=
elements=opt(basepriority)

[common_misc]
type=option_group
description= C/C++ eIvV
help=
elements=define() incl(searchpath) incl(searchpathfirst) report(level) undefine() \
         alloc(debug)

[cpp_only_misc]
type=option_group
description=C++ peIvV
help=
elements=macros(global) macros(redefine) report(disable) report(enable) report(treataserror) \
         service() incl(userstrategy)

;
; CodeStore/ice/cextension.ice, m.system, montana.V400, 990219b
; 3/11/99 1.10 sccsid
;

; C extension

[CS_CExtension]
type=extension
description=C RpC[
help=
dll=cs_cext
suffixes=c C
options=CS_CExtensionOptions


[CS_CExtensionOptions]
type=option_group
description=C pRpC[EIvV
help=
elements=C_compiler_name c_only_gen c_only_lang c_only_opt c_file c_pp c_list c_only_misc

; name of the C compiler

[C_compiler_name]
type=option
description=C RpC[̖O
kind=string
default=iccv4.exe


; Code Generation Options

[c_only_gen]
type=option_group
description=C pR[hIvV
help=
elements=gen(debug) gen(lineonlydebug) gen(loadds)

; Language Options

[c_only_lang]
type=option_group
description=C pIvV
help=
elements=lang(cdigraphs) lang(dbcs) lang(ddnames) lang(ignobsoletekeywords) \
         lang(level) lang(preserveunsignedpromotion) \
         lang(slashslashcomments)

; Optimization Options

[c_only_opt]
type=option_group
description=C pœKIvV
help=
elements=opt(limitworkingset)

; File Options

[c_file]
type=option_group
description=C pt@CEIvV
help=
elements=file(genasm) file(asmfilename) file(genasmwithcode) file(genobject) \
         file(genpch) file(usepch) file(ignoreenvincpaths) \
         file(ignoreusrincpaths) file(makedep) file(syntaxonly)

; Preprocessor Options

[c_pp]
type=option_group
description=C pvvZbT[EIvV
help=
elements=pp(preprocessonly) pp(preservecomments) pp(stdout) pp(suppressline)

; List Options

[c_list]
type=option_group
description=C pXgEIvV
help=
elements=list(full) list(listing) list(filename) list(incsource) \
         list(expuserinc) list(expallinc) list(expmacros) \
         list(minxref) list(fullxref) list(refstructvar) list(allstructvar) \
         list(pagelen) list(title) list(subtitle)

; Miscellaneous Options

[c_only_misc]
type=option_group
description=C peIvV
help=
elements=debug(maxerrors) c_info misc(optionstring) \
         misc(margins) misc(marginvalues) \
         misc(sequencenumbers) misc(sequencenumbervalues)

;
; CodeStore/ice/coptions.ice, m.system, montana.V400, 990219b
; 3/11/99 1.15 sccsid
;

;
; Code Generation Options
;

[gen(debug)]
type=option
description=fobOp̃R[h𐶐
help=
kind=bool
default=false


[gen(lineonlydebug)]
type=option
description=sԍ݂̂܂ރfobO𐶐
help=
kind=bool
default=false


[gen(loadds)]
type=option
description=DS  ES WX^[̓ꏈzfoCXEhCo[Ĵ߂Ɏs
help=
kind=bool
default=false


;
; Language Options
;

[lang(cdigraphs)]
type=option
description=d̎gp
help=
kind=bool
default=false


[lang(dbcs)]
type=option
description=2 oCg (DBCS) ̎gp
help=
kind=bool
default=false


[lang(ddnames)]
type=option
description=DD ̎gp
help=
kind=bool
default=false

[lang(ignobsoletekeywords)]
type=option
description=p~L[[h𖳎
help=
kind=bool
default=false


[lang(level)]
type=option
description=݂̌ꃌxݒ肷
help=
kind=enum: ansi extended saal2
ansi=0, ANSI
extended=1, Extended
saal2=2, SAA Level 2
default=extended



[lang(preserveunsignedpromotion)]
type=option
description=Ȃv[Vێ
help=
kind=bool
default=false

[lang(slashslashcomments)]
type=option
description=RgdXbV
help=
kind=bool

default=true



;
; Optimization Options
;


[opt(limitworkingset)]
type=option
description=ƃZbgETCY𐧌
help=
kind=bool
default=false



;
; File Options
;

[file(genasm)]
type=option
description=AZu[EXeBOEt@C𐶐
help=
kind=bool
default=no


[file(asmfilename)]
type=option
description=AZu[EXeBOEt@C
help=
kind=string
default=no

[file(genasmwithcode)]
type=option
description=}VER[h܂ރAZu[EXeBOEt@C𐶐
help=
kind=ctrlstr
default=no


[file(genobject)]
type=option
description=IuWFNgEt@C𐶐
help=
kind=ctrlstr
default=yes

[file(genpch)]
type=option
description=ORpCς݃wb_[Et@C𐶐
help=
kind=ctrlstr
default=no

[file(usepch)]
type=option
description=ORpCς݃wb_[Et@Cgp
help=
kind=ctrlstr
default=no



[file(ignoreenvincpaths)]
type=option
description=INCLUDE ϐ𖳎
help=
kind=bool
default=false

[file(ignoreusrincpaths)]
type=option
description=incl(searchPath, ...) IvV𖳎
help=
kind=bool
default=false


[file(makedep)]
type=option
description=MAKE t@C]𐶐
help=
kind=bool
default=false


[file(syntaxonly)]
type=option
description=\`FbN̂ݎs
help=
kind=bool
default=false



;
; Preprocessor Options
;

[pp(preprocessonly)]
type=option
description=vvZbT[̂ݎs
help=
kind=bool
default=false

[pp(preservecomments)]
type=option
description=vvZbT[o͂Ń\[XER[hERgێ
help=
kind=bool
default=false

[pp(stdout)]
type=option
description=vvZbT[o͂Wo͂Ƀ_CNg
help=
kind=bool
default=false

[pp(suppressline)]
type=option
description=vvZbT[o͂ #line fBNeBu\Ȃ
help=
kind=bool
default=false


;
; reserved for list() options
;

[list(listing)]
type=option
description=XeBOEt@C쐬
help=
kind=bool
default=false

[list(incsource)]
type=option
description=\[XER[hgݍ
help=
kind=bool
default=false

[list(expallinc)]
type=option
description=[U[уVXe #include t@Cg
help=
kind=bool
default=false

[list(minxref)]
type=option
description=ŏ̑ݎQƃe[u𐶐
help=
kind=bool
default=false

[list(fullxref)]
type=option
description=ݎQƃe[u𐶐
help=
kind=bool
default=false


[list(full)]
type=option
description=ׂẴXeBOER|[lg𐶐
help=
kind=bool
default=false

[list(filename)]
type=option
description=XeBOEt@C
help=
kind=string
default=

[list(expuserinc)]
type=option
description=[U[ #include t@Cg
help=
kind=bool
default=false

[list(expmacros)]
type=option
description=}Ng
help=
kind=bool
default=false

[list(refstructvar)]
type=option
description=ŏ̃CAEgCN[h
help=
kind=bool
default=false

[list(allstructvar)]
type=option
description=CAEgCN[h
help=
kind=bool
default=false

[list(pagelen)]
type=option
description=XeBOEt@C̃y[Wݒ肷
help=
kind=int
default=66

[list(title)]
type=option
description=XeBOEt@C̃^Cgݒ肷
help=
kind=string
default=

[list(subtitle)]
type=option
description=XeBOEt@C̃Tu^Cgݒ肷
help=
kind=string
default=



; Miscellaneous Options

[debug(maxerrors)]
type=option
description=RpCI܂ł̃G[
help=
kind=int
default=0

[c_info]
type=option_group
help=
description=ʒmbZ[W̐
elements=info(all) info(cmp) info(cnd) info(cns) info(cnv) \
          info(cpy) info(dcl) info(eff) info(enu) info(ext) \
          info(gen) info(gnr) info(got) info(ini) info(inl) \
          info(lan) info(obs) info(ord) info(par) info(por) \
          info(ppc) info(ppt) info(pro) info(rea) info(ret) \
          info(trd) info(tru) info(uni) info(use)

[info(all)]
type=option
description=ׂĂ̐ff
help=
kind=bool
default=false

[info(cmp)]
type=option
description=Ȃrŉ\̂璷
help=
kind=bool
default=false

[info(cnd)]
type=option
description=ōl璷܂͖
help=
kind=bool
default=true

[info(cns)]
type=option
description=萔܂މZ
help=
kind=bool
default=false

[info(cnv)]
type=option
description=ϊ
help=
kind=bool
default=false

[info(cpy)]
type=option
description=Rs[ERXgN^[̖
help=
kind=bool
default=false

[info(dcl)]
type=option
description=錾̐
help=
kind=bool
default=false

[info(eff)]
type=option
description=ʂ̂Ȃ
help=
kind=bool
default=false

[info(enu)]
type=option
description=񋓌^ϐ̐
help=
kind=bool
default=false

[info(ext)]
type=option
description=gp̊O`
help=
kind=bool
default=false

[info(gen)]
type=option
description=ʐff
help=
kind=bool
default=false

[info(gnr)]
type=option
description=ꎞϐ̐
help=
kind=bool
default=false

[info(got)]
type=option
description="goto" ̎gp@
help=
kind=bool
default=false

[info(ini)]
type=option
description=ōl
help=
kind=bool
default=false

[info(inl)]
type=option
description=CCȂ֐
help=
kind=bool
default=false

[info(lan)]
type=option
description=ꃌx̉e
help=
kind=bool
default=false

[info(obs)]
type=option
description=p~@\
help=
kind=bool
default=false

[info(ord)]
type=option
description=]̏Ԃ̖w
help=
kind=bool
default=false

[info(par)]
type=option
description=gp̃p[^[
help=
kind=bool
default=false

[info(por)]
type=option
description=̂Ȃ\
help=
kind=bool
default=false

[info(ppc)]
type=option
description=vvZbT[̎gpōl
help=
kind=bool
default=false

[info(ppt)]
type=option
description=vvZbT[EANṼg[X
help=
kind=bool
default=false

[info(pro)]
type=option
description=sĂ֐vg^Cv
help=
kind=bool
default=true

[info(rea)]
type=option
description=BłȂR[h
help=
kind=bool
default=false

[info(ret)]
type=option
description="return" ̐
help=
kind=bool
default=true

[info(trd)]
type=option
description=f[^܂͐x̍l؎̂Ă܂͏
help=
kind=bool
default=false

[info(tru)]
type=option
description=RpC[ɂĐ؂̂Ăꂽϐ
help=
kind=bool
default=false

[info(uni)]
type=option
description=ĂȂϐ
help=
kind=bool
default=false

[info(use)]
type=option
description=gp "auto"  "static" ϐ
help=
kind=bool
default=false

[misc(optionstring)]
type=option
description=tR}hsIvV
help=
kind=string
cumulative=yes


[misc(margins)]
type=option
description=\[XEt@C̏Ƀ}[Wݒgp
help=
kind=bool
default=false

[misc(marginvalues)]
type=option
description=}[Wl
help=
kind=struct

  [misc(marginvalues).1]
  type=option
  description=}[W
  kind=int
  default=1

  [misc(marginvalues).2]
  type=option
  description=E}[W
  kind=int
  default=65535
  optional=yes

[misc(sequencenumbers)]
type=option
description=\[XEt@C̏ɏԍݒgp
help=
kind=bool
default=false

[misc(sequencenumbervalues)]
type=option
description=ԍl
help=
kind=struct

  [misc(sequencenumbervalues).1]
  type=option
  description=ԍE
  kind=int
  default=1

  [misc(sequencenumbervalues).2]
  type=option
  description=EԍE
  kind=int
  default=65535
  optional=yes


; End of File CodeStore/ice/coptions.ice, m.system, montana.V400, 990219b

; End of File CodeStore/ice/cextension.ice, m.system, montana.V400, 990219b

;
; CodeStore/ice/cppgen.ice, m.system, montana.V400
; 7/13/98 1.11 sccsid
;

;
; C/C++ Code Generation Options
;


[gen(arch)]
type=option
description=߃Zbg̃^[Qbg CPU A[LeN`[̑I
help=
kind=enum: x86 486 pentium pentium2
x86=0, ^[Qbg Intel x86 vZbT[
486=1, ^[Qbg Intel 486 vZbT[
pentium=2, ^[Qbg Intel Pentium vZbT[
pentium2=3, ^[Qbg Intel Pentium II vZbT[
default=486



[gen(debugunreferenced)]
type=option
description=QƂȂϐ̃V{Ee[u쐬
help=
kind=bool
default=false

[gen(enumsize)]
type=option
description=񋓌^ϐTCY
help=
kind=enum: int small 1 2 4
small=0, Small
int=10
1=1
2=2
4=4
default=small

[gen(initauto)]
type=option
description=L
help=
kind=ctrlint
default=no

[gen(libansi)]
type=option
description=ANSI C Cu[VXe֐ƂĈ
help=
kind=bool
default=false

[gen(profile)]
type=option
description=ptH[}X̓R[hgp
help=
kind=enum: no yes
no=0, No
yes=1, Yes
default=no

[gen(readonly)]
type=option
description=񃊃eɓǎpLgp
help=
kind=bool
default=true

[gen(vftreadonly)]
type=option
description=ǎpL VFT (z֐e[u)
help=
kind=bool
default=false

[gen(vft)]
type=option
description=RpCPʂ VFT (z֐e[u) 쐬
help=
kind=bool
default=true



[gen(pack)]
type=option
description=\̂ыp̓̃f[^ڂ̋E
help=
kind=enum: 1 2 4 8 16
1=1
2=2
4=4
8=8
16=16
default=4



[gen(call)]
type=option
description=ftHgďoK
help=
kind=enum: optlink system stdcall cdecl
optlink=0
system=1
stdcall=2
cdecl=3
default=optlink

[gen(constseg)]
type=option
description=ftHg萔ZOg
help=
kind=string
default=CONST32_RO

[gen(codeseg)]
type=option
description=ftHgER[hEZOg
help=
kind=string
default=CODE32

[gen(dataseg)]
type=option
description=ftHgEf[^EZOg
help=
kind=string
default=DATA32

[gen(dump)]
type=option
description=OɃWX^[E_v쐬
help=
kind=bool
default=false

[gen(probe)]
type=option
description=X^bNEv[ugp
help=
kind=bool
default=true

[gen(uninitseg)]
type=option
description=ĂȂf[^EZOg
help=
kind=string
default=BSS32

[gen(unreferenced)]
type=option
description=QƂĂȂ֐̃R[h𐶐
help=
kind=bool
default=false

[gen(eh)]
type=option
description=C++ Ogp
help=
kind=bool
default=true
global=yes

[gen(ehcodeseg)]
type=option
description=OR[hEZOg
help=
kind=string
default=EH_CODE

[gen(ehdataseg)]
type=option
description=Of[^EZOg
help=
kind=string
default=EH_DATA

[gen(manglelinkagekeywordonlyfuncs)]
type=option
description=P[WEL[[hAP[WȂ֐}O
help=
kind=bool
default=true
global=yes

[gen(vftseg)]
type=option
description=z֐e[uEZOg
help=
kind=string
default=_VFT


; all platforms

[gen(rtti)]
type=option
description=s^̐
help=
kind=enum: all typeinfo dynamiccast no
no=0, s^Ȃ
all=1, typeid  dynamic_cast ̗̏
typeinfo=2, typeid ̂
dynamiccast=3, dynamic_cast ̂
default=no
global=yes



[gen(decorateexternalnames)]
type=option
description=ׂĂ̊Of[^ɐs鉺t
help=
kind=bool
default=false
global=yes

[gen(parmdword)]
type=option
description=__parmdwords() ̃T|[ggp
help=
kind=bool
default=false

[gen(ring0)]
type=option
description=O 0 ŎsR[h𐶐
help=
kind=bool
default=false

[gen(tiledmemory)]
type=option
description=^CE[gp
help=
kind=bool
default=false



;
; CodeStore/ice/cpplang.ice, m.system, montana.V400, 990219b
; 3/11/99 1.6 sccsid
;

;
; C/C++ Language Options
;


[lang(allowdollarinnames)]
type=option
description=O $ 
help=
kind=bool
default=false

[lang(digraphs)]
type=option
description=dуL[[hZq
help=
kind=bool
default=true

[lang(longlong)]
type=option
description=long long int ^
help=
kind=bool
default=true

[lang(signedbitfields)]
type=option
description=rbgtB[h𕄍tŎgp
help=
kind=bool
default=false

[lang(signedchars)]
type=option
description=char ϐ𕄍tŎgp
help=
kind=bool
default=false

[lang(allowtypedefasclassname)]
type=option
description="typedeffed" NXƂċ
help=
kind=bool
default=false

[lang(anonymousstructs)]
type=option
description=\̂
help=
kind=bool
default=true

[lang(ansiforstatementscopes)]
type=option
description=for-init-statements Ő錾ꂽϐ[vł̂݌悤ɂ
help=
kind=bool
default=true

[lang(compatfrienddeclarations)]
type=option
description=NX̋Lq̂Ȃth錾
help=
kind=bool
default=true

[lang(compatmath)]
type=option
description=V ANSI w֐錾
help=
kind=bool
default=false

[lang(compattempaccesschecking)]
type=option
description=ꂽꎞIuWFNg̃Rs[ERXgN^[EANZX{Ȃ
help=
kind=bool
default=true

[lang(compattemplatespecialization)]
type=option
description="template <>" gpȂev[gꉻ
help=
kind=bool
default=true

[lang(extendedanonymousunions)]
type=option
description=p̂̔f[^Eo[
help=
kind=bool
default=true

[lang(illformedpointertomember)]
type=option
description=o[ւ̌`̃|C^[
help=
kind=bool
default=true

[lang(implicitint)]
type=option
description=ÖٓI int 
help=
kind=bool
default=true

[lang(nokeyword)]
type=option
description=wL[[h𖳎
help=
kind=string
cumulative=yes

[lang(keyword)]
type=option
description=wL[[h̉
help=
kind=string
cumulative=yes

[lang(localtypedefs)]
type=option
description={\[X̂ typedef 悤ɂ
help=
kind=bool
default=false

[lang(localusingdirectives)]
type=option
description=using fBNeBu\[XEt@CɃ[JɓKp
help=
kind=bool
default=false

[lang(offsetofnonpodclasses)]
type=option
description=offsetof() ̔ POD ("plain ol' data") NXƂ̎gp
help=
kind=bool
default=true

[lang(olddigraphs)]
type=option
description=d %%  %%%% 
help=
kind=bool
default=false

[lang(staticconstlinkage)]
type=option
description=萔ϐ static Ŏgp
help=
kind=bool
default=false

[lang(staticinlinelinkage)]
type=option
description=CC֐ static Ŏgp
help=
kind=bool
default=false

[lang(templatedefimpls)]
type=option
description=ev[gECve[V̉͂шӖ̐
help=
kind=enum: dontparse parsewithwarnings parsewitherrors
dontparse=0, ev[gECve[V͂Ȃ
parsewithwarnings=2, ev[gECve[V͂AӖx𔭍s
parsewitherrors=3, ev[gECve[V͂AӖG[𔭍s
default=parsewithwarnings

[lang(trailingenumcommas)]
type=option
description=񋓌^̌㏑R}
help=
kind=bool
default=true

[lang(universalcharacternames)]
type=option
description=jo[TELN^[El[
help=
kind=bool
default=true

[lang(zeroextentarrays)]
type=option
description=傫 0 ̔z
help=
kind=bool
default=true


[lang(memoryfiles)]
type=option
description=[Et@C̎gp
help=
kind=bool
default=false


;
; CodeStore/ice/cpplink.ice, m.system, montana.V400
; 8/11/98 1.17 sccsid
;

;
; C/C++ Linker Options
;



[link(export_namespace)]
type=option
description=l[Xy[XŒ`ꂽOV{ׂăGNX|[g
help=
kind=string
default=

[link(export_prefix)]
type=option
description=`ꂽAړŎn܂OV{ׂăGNX|[g
help=
kind=string
default=

[link(entry)]
type=option
description=s\o̓t@C̃Gg[E|Cg
help=
kind=string
default=

[link(pmtype)]
type=option
kind=enum: novio vio pm
description=OS/2 [h̎s
pm=768
vio=512
novio=256
default=vio


[link(debug)]
type=option
description=ꂽs\W[ɃfobOCN[h
help=
kind=bool
default=false

[link(export)]
type=option
description=^[QbgwV{GNX|[g
kind=struct
cumulative=yes

  [link(export).1]
  type=option
  kind=string
  description=֐

  [link(export).2]
  type=option
  kind=string
  description=GNX|[g֐܂̓f[^ڂ̎ۂ̖O
  optional=yes


  [link(export).3]
  type=option
  kind=int
  description=W[`e[ů֐ʒu
  optional=yes
  default=0

  [link(export).4]
  type=option
  kind=enum: NONAME RESIDENTNAME
  description="NONAME" w肵āA֐ێȂ
  NONAME=1
  RESIDENTNAME=0
  default=RESIDENTNAME



  [link(export).5]
  type=option
  kind=enum: CONSTANT PARMWORDS
  description=GNX|[gꂽO = f[^
  CONSTANT=1
  PARMWORDS=0
  default=CONSTANT

  [link(export).6]
  type=option
  kind=int
  description=֐̃p[^[̍vTCY ([h)
  optional=yes
  default=0


[link(exportlist)]
type=option
description=GNX|[gw܂ރt@C
help=
kind=file

[link(force)]
type=option
description=̎QƃG[𖳎
help=
kind=bool
default=false

[link(generatedfilesdirectory)]
type=option
description=ʂɐꂽt@C̃fBNg[
help=
kind=string
cumulative=no

[link(libsearchpath)]
type=option
description=Cu[pX
help=
kind=string
cumulative=yes

[link(import)]
type=option
description=DLL wV{C|[g
help=
kind=struct
cumulative=yes

  [link(import).1]
  type=option
  kind=string
  description=C|[gEV{
  optional=no

  [link(import).2]
  type=option
  kind=string
  description=GNX|[gEvO
  optional=no

  [link(import).3]
  type=option
  kind=union
  description=V{

    [link(import).3.1]
    type=option
    kind=string
    description=GNX|[gEvÕV{

    [link(import).3.2]
    type=option
    kind=int
    description=W[`e[ũV{̏ʒu
    default=0

  ;3=union
    ;3.1=string, , symbol from the exporting program
    ;3.2=int, , symbol's ordinal position within the module definition table

[link(linkwithmultithreadlib)]
type=option
description=}`XbhECu[ƃ^[QbgN
help=
kind=bool
default=false

[link(linkwithsharedlib)]
type=option
description=pCu[ƃ^[QbgN
help=
kind=bool
default=false

[link(map)]
type=option
description=}bvEt@C𐶐
help=
kind=ctrlstr
default=no

[link(padding)]
type=option
description=ărhɑ邽߂ɏ^[Qbgɒǉ
help=
kind=bool
default=true

[link(standalone)]
type=option
description=X^hAETuVXẽR[h𐶐
help=
kind=bool
default=false

[link(versionstring)]
type=option
description=^[Qbgɑgݍ܂ꂽo[W
help=
kind=string
default=

[link(exportall)]
type=option
description=ׂĂ̒`ς݊OV{GNX|[g
help=
kind=bool
default=false



[link(ansiextensionslibrary)]
type=option
description= ANSI g܂ފgCu[̎gp𐧌䂷
help=
kind=bool
default=true



[link(data)]
type=option
help=
kind=attrib: RWSADIGHL
description=ׂẴf[^EZNṼftHg
default=RW
R=read
W=write
S=shared
A=16:16 alias
D=discardable
I=i/o privilege
G=resident and contiguous
H=resident and long-lockable
L=resident



[link(code)]
type=option
help=
kind=attrib: REXSACDIGHL
description=ׂẴR[hEZNṼftHg
default=RX
R=read
E=execute
X=execute
S=shared
A=16:16 alias
C=conforming
D=discardable
I=i/o privilege
G=resident and contiguous
H=resident and long-lockable
L=resident

[link(defaultlibs)]
type=option
description=ׂẴftHgECu[
help=
kind=bool
default=true

[link(defaultlibsname)]
type=option
description=ftHgECu[̃XgɎw肵Oǉ
help=
kind=string
cumulative=yes

[link(nodefaultlibsname)]
type=option
description=w肵OȂ悤ɃftHgECu[̃Xgɒǉ
help=
kind=string
cumulative=yes

[link(extdictionary)]
type=option
description=Cu[ggpăW[Ԉˑ
help=
kind=bool
default=true

[link(fixed)]
type=option
description=[h̃W[ĔzugpȂ
help=
kind=bool
default=false
;default=depends on the executable types

[link(ignorecase)]
type=option
description=V{̌ɑE̋ʂ𖳎
help=
kind=bool
default=false
global=yes

[link(include)]
type=option
description=wV{ւ̎QƂ
help=
kind=string
cumulative=yes

[link(linenum)]
type=option
description=}bvEt@Cɍsԍǉ
help=
kind=bool
default=false

[link(namemangling)]
type=option
description=}OꂽO̍ő咷
help=
kind=enum: compat ansi
compat=0, 3 ̃nbVlt 255 
ansi=1, 9 ̃nbVlt 64000 
default=0

[link(optfunc)]
type=option
description=OIuWFNg瓞Bs\Ȋ֐
help=
kind=bool
default=true



[link(section)]
type=option
description=wZNṼ[ی쑮
help=
kind=struct
cumulative=yes

  [link(section).1]
  type=option
  kind=string
  description=ZOg

  [link(section).2]
  type=option
  help=
  kind=attrib: RWEXSACDIGHL
  description=
  default=RX
  R=read
  W=write
  E=execute
  X=execute
  S=shared
  A=16:16 alias
  C=conforming
  D=discardable
  I=i/o privilege
  G=resident and contiguous
  H=resident and long-lockable
  L=resident

[link(version)]
type=option
description=[U[Eo[Wԍ^[Qbgɑgݍ
help=
kind=struct

  [link(version).1]
  type=option
  kind=int
  description=W[Eo[Wԍ
  default=0

  [link(version).2]
  type=option
  kind=int
  description=}Ci[Eo[Wԍ
  optional=yes
  default=0




[link(alignaddr)]
type=option
description=ZNVEAhXE
help=
kind=int, ,address alignment
default=0x10000

[link(alignfile)]
type=option
description=ZNṼt@CE
help=
kind=int, ,address alignment
default=16

[link(base)]
type=option
description=^[Qbg̃ftHgAhX
help=
kind=int
default=65536

[link(dllinitinstance)]
type=option
description=DLL ֐́ACX^XƂɌĂяo
help=
kind=bool
default=false

[link(dllterminstance)]
type=option
description=DLL I֐́ACX^XƂɌĂяo
help=
kind=bool
default=false

[link(exepack)]
type=option
kind=enum: 0 1 2
description=s\Ȉk
0=0
1=1
2=2
default=2

[link(robase)]
type=option
description=񏑍݉\ZOg̃ftHgAhX
help=
kind=int
default=0

[link(stack)]
type=option
description=őX^bNETCY
help=
kind=struct

  [link(stack).1]
  type=option
  kind=int
  description=\ςݍvzAhXEXy[X
  default=0

  [link(stack).2]
  type=option
  kind=int
  description=Uς݋LTCY
  default=0
  optional=yes

[link(stub)]
type=option
description=ftHgEX^u^[Qbg̑Oɕt
help=
kind=ctrlstr
default=yes


;
; CodeStore/ice/cppopt.ice, m.system, montana.V400, 990219b
; 3/11/99 1.6 sccsid
;


;
; C/C++ Optimization Options
;

[opt(alias)]
type=option_group
description=œK̕ʖċK
help=
elements=opt(alias,allp) opt(alias,typ) opt(alias,addr) opt(alias,ansi)

[opt(alias,allp)]
type=option
description=|C^[̕ʖĂȂ
help=
kind=bool
default=false

[opt(alias,typ)]
type=option
description=ʂ̌^ɑ΂|C^[̕ʖĂȂ
help=
kind=bool
default=false

[opt(alias,addr)]
type=option
description=ϐƃ|C^[̐ڑȂ
help=
kind=bool
default=false

[opt(alias,ansi)]
type=option
description=^ɊÂʖĂgp
help=
kind=bool
default=false

[opt(autoinline)]
type=option
description=CCs
help=
kind=bool
;if opt(level)>0 default should be true
default=false

[opt(ignerrno)]
type=option
description=G[ԍ𖳎
help=
kind=bool
default=false

[opt(inline)]
type=option
description=CCw̃[U[֐
help=
kind=bool
default=false

[opt(ipa)]
type=option
description=IPA œK[`gp
help=
kind=bool
default=false

[opt(ipaoption)]
type=option
description=IPA IvVݒ肷
help=
kind=string
cumulative=yes

[opt(isolatedcall)]
type=option
description=ꂽďo֐
help=
kind=string
cumulative=yes


[opt(level)]
type=option
description=œK
help=
kind=enum: 0 2
0=0, No
2=2, Yes
default=0



[opt(pragmadisjoint)]
type=option
description=#pragma disjoint ւ̎QƂ𑸏d
help=
kind=bool
default=true

[opt(pragmaisolatedcall)]
type=option
description=#pragma isolatedcall ւ̎QƂ𑸏d
help=
kind=bool
default=true

;
;[opt(profileDirectedFeedback)]
; 

[opt(size)]
type=option
description=R[hTCYɊւčœK
help=
kind=bool
default=false


[opt(tune)]
type=option
description=R[hœK̃^[Qbg CPU
help=
kind=enum: blend 386 486 pentium pentium2
blend=0, ^[Qbg Intel x86 vZbT[
386=2, ^[Qbg Intel 386 vZbT[
486=3, ^[Qbg Intel 486 vZbT[
pentium=4, ^[Qbg Intel Pentium vZbT[
pentium2=5, ^[Qbg Intel Pentium II vZbT[
default=blend



[opt(basepriority)]
type=option
description=sÓI̊{D揇
help=
kind=int
default=0

[opt(autoinlinethreshold)]
type=option
description=CC̒Ԍ̃CXgNV̂l̐
help=
kind=int
default=0



[opt(float)]
type=option
description=_̎sgp
help=
kind=bool
default=true

[opt(integer)]
type=option
description=̎sgp
help=
kind=bool
default=true

[opt(schedule)]
type=option
description=߃XPW[[N
help=
kind=bool
default=false
;default=depends on other opt() values

[opt(stackchaining)]
type=option
description=X^bNE`F[jO𐧌䂷
help=
kind=bool
default=false
; default based on opt(level)

[opt(stackpointer)]
type=option
description=X^bNE|C^[œK
help=
kind=bool
default=true

;
; CodeStore/ice/cppmisc.ice, m.system, montana.V400, 990219b
; 3/11/99 1.3 sccsid
;

;
; C/C++ Miscellaneous Options
;

[define()]
type=option
description=}N̒`
help=
kind=struct
cumulative=yes

  [define().1]
  type=option
  description=}N
  kind=string

  [define().2]
  type=option
  description=}Nl
  kind=string
  optional=yes

[incl(searchpath)]
type=option
description=#include pXݒ肷
help=
kind=incpath
cumulative=yes

[incl(searchpathfirst)]
type=option
description=LŎw肵fBNg[ŏɌ
help=
kind=bool
default=false

[report(level)]
type=option
description=rhEbZ[W̍ŏdxxݒ肷
help=
kind=enum: E W I
E=0, G[
W=1, x
I=2, ʒm
default=I

[undefine()]
type=option
description=}N̖`
help=
kind=string
cumulative=yes

[macros(global)]
type=option
description=}ÑO[oEXR[vݒ肷
help=
kind=bool
default=false

[macros(redefine)]
type=option
description=O #undef ܂ 'undefine()' gpȂ}NĒ`gp
help=
kind=bool
default=false

[report(enable)]
type=option
description=w肵bZ[W𐶐
help=
kind=string
cumulative=yes

[report(disable)]
type=option
description=w肵bZ[W𐶐Ȃ
help=
kind=string
cumulative=yes

[report(treataserror)]
type=option
description=G[Ƃ郁bZ[Wԍ
help=
kind=string
cumulative=yes

[service()]
type=option
description=RpC[ɓn
help=
kind=string
cumulative=yes

[incl(userstrategy)]
type=option
description=[U[ECN[hEt@Čj
help=
kind=enum: primary including
primary=1, Primary
including=2, Including
default=primary

;
;


[alloc(debug)]
type=option
description=[Ǘ֐̃fobOEo[Wgp
help=
kind=bool
default=false

;
;  xxxx-xxx (c) COPYRIGHT IBM CORP. 1997   ALL RIGHTS RESERVED.
;
;                     OCO SOURCE MATERIAL
;                LICENSED MATERIALS-PROPERTY OF IBM.
;
;
; CodeStore/ice/NT/SQLEextension.ice
; Sep 04/97 Kelvin Ho
;
;
; This is an .ice file describing the SQL Extension.
;
; * Each category describes either an extension, an option group or
;   an option, as indicated by the "type" entry.
; * The optional "description" entry is for use by the UI.
; * The optional "help" entry points to the help URL.
; * The other entries depend on the type.
;
; Limitations:
;
;   1. names of options or option groups may not contain whitespace
;   2. all names (of extensions, option groups and options) must be unique.
;

[CS_SQLExtension]
type=extension
className=CS_SQLExtension
dll=cs_sql
description=g SQL vRpC
help=
suffixes=sqc sqx sqC sqX SQC SQX
options=CS_SQLExtensionOptions

[CS_SQLExtensionOptions]
type=option_group
description=SQL vRpCEIvV
help=
elements=SQLTargetDB SQLConnOptions SQLPrepOptions SQLPromptEnabled


[SQLTargetDB]
type=option
description=^[QbgEf[^x[X
kind=string
default=

[SQLConnOptions]
type=option
description=f[^x[XڑIvV
kind=string
default=

[SQLPrepOptions]
type=option
description=vRpCEIvV
kind=string
default=

[SQLPromptEnabled]
type=option
description=KX[U[ IDApX[h͉ʂ\
kind=bool
default=true

;
; CodeStore/ice/resource.ice, m.system, montana.V400, 990219b
; 3/11/99 1.6 sccsid
;

;
; Resource Compiler
;

[CS_Resource]
type=extension
description=\[XERpC[
help=ResourceExtension.html
dll=cs_res
suffixes=rc RC res RES
options=CS_ResourceOptions

[CS_ResourceOptions]
type=option_group
description=\[XERpC[EIvV
help=ResourceExtension.html#options
elements=res_compiler res_rc_options

[res_compiler]
type=option
description=\[XERpC[̖O
kind=string
default=rc.exe

[res_rc_options]
type=option
description=\[XERpC[ɓnIvV
kind=string



;
; CodeStore/ice/partsobj.ice, m.system, montana.V400, 990219b
; 3/11/99 1.1 sccsid
;

;
; Parts Object Extension
;

[PartsObject]
type=extension
description=p[cEIuWFNg
dll=iprtv.dll
suffixes=vbf VBF vbe VBE
;
; CodeStore/ice/dax.ice, m.system, montana.V400, 990219b
; 3/11/99 1.1 sccsid
;

;
; DAX Extension
;

[DaxSession]
type=extension
description=Dax ZbVEIuWFNg
dll=iprtv.dll
suffixes=dax DAX

;
; CodeStore/ice/miscext.ice, m.system, montana.V400, 990219b
; 3/11/99 1.14 sccsid
;

;
; Misc Extensions
;



;Make Generic Extension
[gen_make]
type=extension
className=CS_Generic
dll=csgenric
description=MAKE vOێ烆[eBeB[
help=
suffixes=mak MAK
prefix=generic
command=$1 $2 -f $s $3
1=make_name
2=make_preopt
3=make_postopt
options=make_options
track=$
when=precompile

[make_options]
type=option_group
description=MAKE vOێ烆[eBeB[EIvV
help=
elements=make_name make_preopt make_postopt

[make_name]
type=option
kind=string
description=MAKE [eBeB[̎s\t@C
default=nmake
help=

[make_preopt]
type=option
kind=string
description=MAKE [eBeB[̐sIvV
default=
help=

[make_postopt]
type=option
kind=string
description=MAKE [eBeB[̌㏑IvV
default=
help=
;end of Make Generic Extension


;IPFC Generic Extension
[gen_ipf]
type=extension
className=CS_Generic
dll=csgenric
description=\@\RpC[ (IPFC)
help=
suffixes=ipf IPF
prefix=generic
command=ipfc.exe $1 $s $2
1=ipf_preopt
2=ipf_postopt
3=ipf_output
options=ipf_options
track=$s
output=$3
when=precompile

[ipf_options]
type=option_group
description=IPF RpC[ (IPFC) IvV
help=
elements=ipf_preopt ipf_postopt ipf_output

[ipf_preopt]
type=option
description=IPFC ̐sIvV
help=
kind=string
default=

[ipf_postopt]
type=option
kind=string
description=IPFC ̌㏑IvV
default=
help=

[ipf_output]
type=option
kind=string
description=ăRpC^[QbgEt@Č^ (hlp ܂ inf)
default=hlp
help=
;end IPFC Generic Extension

[config_opt]
type=extension
className=CS_ConfigurationOptimizer
description=\œK[`
dll=cscfgopt
help=
prefix=config

;MKMSGF Generic Extension
[gen_mkmsgf]
type=extension
className=CS_Generic
dll=csgenric
description=bZ[WEt@CE[eBeB[ (MKMSGF) ̍쐬
help=
suffixes=mkmsgf MKMSGF
prefix=generic
command=mkmsgf.exe $s $o $1
1=mkmsgf_postopt
options=mkmsgf_options
track=$s
output=msg
when=prelink

[mkmsgf_options]
type=option_group
description=MKMSGF IvV
help=
elements=mkmsgf_postopt

[mkmsgf_postopt]
type=option
kind=string
description=MKMSGF ̌㏑IvV
default=
help=
;end MKMSGF Generic Extension

;MSGBIND Generic Extension
[gen_msgbind]
type=extension
className=CS_Generic
dll=csgenric
description=bZ[WEt@CoCh
help=
suffixes=msgbind MSGBIND
prefix=generic
command=msgbind.exe $s
when=postlink
;end MSGBIND Generic Extension

;
; DLLRNAME
;

[CS_DLLRNAME_EXT]
type=extension
className=CS_Generic
description=Dllrname g
help=
dll=csgenric.dll
suffixes=exe EXE dll DLL
when=postlink
command=dllrname.exe $s $1 $2
1=rename_list
2=dllrname_options
options=CS_DLLRNAMEOptions
track=$s

[CS_DLLRNAMEOptions]
type=option_group
description=Dllrname IvV
help=
elements=rename_list dllrname_options

[rename_list]
type=option
description=DLLRNAME OύXXg
kind=string
default=

[dllrname_options]
type=option
description=DLLRNAME ̃tO
kind=string
default=

;
; CodeStore/ice/config.ice, m.system, montana.V400, 990219b
; 3/11/99 1.1 sccsid
;

;
; Configuration Options
;

[config_ext]
type=extension
description=CONFIG
dll=..;    dummy entry - something whose timestamp usually doesn't change
help=
options=config_opts

[config_opts]
type=option_group
description=\IvV
help=
elements=defaults()

[defaults()]
type=option
kind=string
description=ftHgEIvṼI[o[ChpɃO[vZbg
default=
